Mostly Anything

IT Blog über VMWare, SQL, Storage, Security und mehr.

Mostly Anything header image 2

Fehler beim Versuch RedHat via yum zu aktualisieren

April 13th, 2010 · Keine Kommentare

Wollte gerade 2 RedHat Enterprise Server 5 System auf den aktuellen Stand bringen. Ist eigentlich ganz einfach.

yum check-update

und danach ein

yum update

Beim ersten System lief das auch ohne Probleme durch, beim zweiten bekam ich viele Fehlermeldungen, z.b.

Error: Missing Dependency: libnewt.so.0.52(NEWT_0.52) is needed by package setuptool-1.19.2-1.i386 (installed)
Error: Missing Dependency: libnewt.so.0.52 is needed by package ntsysv-1.3.30.2-2.el5.i386 (rhel-i386-server-5)
Error: Missing Dependency: libnewt.so.0.52(NEWT_0.52) is needed by package ntsysv-1.3.30.2-2.el5.i386 (rhel-i386-server-5)
Error: Missing Dependency: newt is needed by package rhpxl-0.41.1-9.el5.i386 (rhel-i386-server-5)
Error: Missing Dependency: libnewt.so.0.52(NEWT_0.52) is needed by package system-config-securitylevel-tui-1.6.29.1-5.el5.i386 (rhel-i386-server-5)
Error: Missing Dependency: newt is needed by package system-config-date-1.8.12-4.el5.noarch (rhel-i386-server-5)
Error: Missing Dependency: libnewt.so.0.52 is needed by package setuptool-1.19.2-1.i386 (installed)
Error: Missing Dependency: newt is needed by package authconfig-5.3.21-6.el5.i386 (rhel-i386-server-5)
Error: Missing Dependency: newt is needed by package rhn-client-tools-0.4.20-33.el5_5.1.noarch (rhel-i386-server-5)
Error: Missing Dependency: libnewt.so.0.52 is needed by package system-config-securitylevel-tui-1.6.29.1-5.el5.i386 (rhel-i386-server-5)

Eigentlich komisch, da yum ja solche dependencies selber auflösen sollte. Hier ist irgendwas durcheinandergeraten. Die Lösung ist simple und schnell

yum clear all

Danach läuft

yum update

ohne Probleme durch.

Be Sociable, Share!

Tags: Linux

0 Antworten bis jetzt ↓

  • Es gibt keine Kommentare bis jetzt...Trete Sachen weg, die vom Formular runterfallen.

Hinterlasse ein Kommentar